package com.wasu.cs.mvp.IView;

import com.wasu.cs.mvp.model.AssetsDataModel;

import java.util.List;

/**
 * @Description: 新版首页推荐屏MVP view
 * @Author: Danxingxi
 * @CreateDate: 2016/9/26 9:45
 */
public interface IRecomMvpView extends IMainMVPView {

    /**
     * banner部分数据
     */
    void getBannerLeftSuccess(List<AssetsDataModel> blData);
    /**
     * 获取直播数据成功
     * @param bmData
     */
    void getBannerMiddleSuccess(List<AssetsDataModel> bmData);

    /**
     * 换一换数据
     * @param brData
     */
    void getBannerRightSuccess(List<AssetsDataModel> brData);

    /**
     * body部分数据
     */
    /**品牌专区数据获取成功**/
    void getBody1DataSuccess(String rowTitle, List<AssetsDataModel> bodyListData);

    /**会员专区数据获取成功**/
    void getBody2DataSuccess(String rowTitle, List<AssetsDataModel> bodyListData);

    /**更多惊喜数据获取成功**/
    void getBody3DataSuccess(String rowTitle, List<AssetsDataModel> bodyListData);

    /**
     * 获取数据失败
     * @param e
     */
    void getDataError(Throwable e);

    /**
     * 显示loading
     */
    void showProgress();

    /**
     * 隐藏loading
     */
    void hideProgress();

}
